ArrayRectangular method example

Sub ArrayRectangular_Example()

' This example creates a line and a rectangular array based on that line.

    Dim pt1(0 To 2) As Double: pt1(0) = 4: pt1(1) = 2: pt1(2) = 0

    Dim pt2(0 To 2) As Double: pt2(0) = 7: pt2(1) = 2: pt2(2) = 0

    Dim myLine As AcadLine

    Set myLine = ThisDrawing.ModelSpace.AddLine(pt1, pt2)

    myLine.Update

    ThisDrawing.Application.ZoomExtents

    ' Create a 4x3 array of an object.

    myLine.ArrayRectangular 4, 3, 1, 3, 2, 2

    ThisDrawing.Application.ZoomExtents

    MsgBox "Rectangular array constructed."

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.